// interface classes for online solver access
// (to get some online access to the search process, one may derive
//  a respective class from OmegaInterface)


#if !defined(__HotFrame_OMEGA_INTERFACE__)
#define __HotFrame_OMEGA_INTERFACE__


#include "basic.h"


//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
namespace HotFrame
{


// ----------------------------------------------------------------------------
// -- base class OmegaInterface ----------------------------------------------
// ----------------------------------------------------------------------------

// do nothing

template <class S>
class OmegaInterface
{
  public:
    virtual ~OmegaInterface( )  { ; }

    virtual void newSolution( const S& s ) { ; }
    virtual bool omega( ) { return false; }  // external termination condition fulfilled ?
};


}
//--- end of namespace HotFrame -----------------------------------------------
//------------------------------------------------------------------------------


#endif

