// machine.h: defines machine specific things

#if !defined(__HotFrame_MACHINE__)
#define __HotFrame_MACHINE__

// in the old days of gcc 2.8, VCC 6 and so on, there were quite a few compiler
// deficiencies which required to define preprocessor variables that switched in
// or out conditional code fragments;
// today (in the year 2003), compilers such as VCC 7 (as is part of VC.NET 2003,
// ggc 3.2 or better are quite fine (even if still not fully conforming to the
// c++ standard), so we do not need these preprocessor variables any more

// #define VCC
// #define GCC

// (other compilers than vcc 7 and gcc 3.2 have not yet been tested with the
// current source code; older compilers may lead to problems as the code heavily
// relies on template support)


#endif
